ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Attributes | List of all members
commsignia_layer::__attribute__ Struct Reference

## Public Attributes
unsigned char | version
unsigned int | timestamp_sec
unsigned int | timestamp_msec
unsigned char | primary_channel
unsigned char | secondary_channel
unsigned char | used_iface
unsigned char | data_rate
unsigned char | antenna
unsigned int | latitude
unsigned int | longitude
unsigned short | speed
unsigned short | heading
unsigned char | rssi_ant1
unsigned char | rssi_ant2
unsigned char | noise_ant1
unsigned char | noise_ant2
unsigned short | cbr_ant1
unsigned short | cbr_ant2
unsigned short | frame_ctrl
unsigned short | duration
unsigned char | dst_addr [commsignia_layer::LL_ADDR_LENGTH]
unsigned char | src_addr [commsignia_layer::LL_ADDR_LENGTH]
unsigned char | bss_id [commsignia_layer::LL_ADDR_LENGTH]
unsigned short | fragment_seq_num
unsigned char | dsap
unsigned char | ssap
unsigned char | ctrl
unsigned char | org_code [commsignia_layer::LL_ORG_CODE_LENGTH]
unsigned short | type

## Member Data Documentation

## ◆ antenna

unsigned char commsignia_layer::__attribute__::antenna

## ◆ bss_id

unsigned char commsignia_layer::__attribute__::bss_id[commsignia_layer::LL_ADDR_LENGTH]

## ◆ cbr_ant1

unsigned short commsignia_layer::__attribute__::cbr_ant1

## ◆ cbr_ant2

unsigned short commsignia_layer::__attribute__::cbr_ant2

## ◆ ctrl

unsigned char commsignia_layer::__attribute__::ctrl

## ◆ data_rate

unsigned char commsignia_layer::__attribute__::data_rate

## ◆ dsap

unsigned char commsignia_layer::__attribute__::dsap

## ◆ dst_addr

unsigned char commsignia_layer::__attribute__::dst_addr[commsignia_layer::LL_ADDR_LENGTH]

## ◆ duration

unsigned short commsignia_layer::__attribute__::duration

## ◆ fragment_seq_num

unsigned short commsignia_layer::__attribute__::fragment_seq_num

## ◆ frame_ctrl

unsigned short commsignia_layer::__attribute__::frame_ctrl

## ◆ heading

unsigned short commsignia_layer::__attribute__::heading

## ◆ latitude

unsigned int commsignia_layer::__attribute__::latitude

## ◆ longitude

unsigned int commsignia_layer::__attribute__::longitude

## ◆ noise_ant1

unsigned char commsignia_layer::__attribute__::noise_ant1

## ◆ noise_ant2

unsigned char commsignia_layer::__attribute__::noise_ant2

## ◆ org_code

unsigned char commsignia_layer::__attribute__::org_code[commsignia_layer::LL_ORG_CODE_LENGTH]

## ◆ primary_channel

unsigned char commsignia_layer::__attribute__::primary_channel

## ◆ rssi_ant1

unsigned char commsignia_layer::__attribute__::rssi_ant1

## ◆ rssi_ant2

unsigned char commsignia_layer::__attribute__::rssi_ant2

## ◆ secondary_channel

unsigned char commsignia_layer::__attribute__::secondary_channel

## ◆ speed

unsigned short commsignia_layer::__attribute__::speed

## ◆ src_addr

unsigned char commsignia_layer::__attribute__::src_addr[commsignia_layer::LL_ADDR_LENGTH]

## ◆ ssap

unsigned char commsignia_layer::__attribute__::ssap

## ◆ timestamp_msec

unsigned int commsignia_layer::__attribute__::timestamp_msec

## ◆ timestamp_sec

unsigned int commsignia_layer::__attribute__::timestamp_sec

## ◆ type

unsigned short commsignia_layer::__attribute__::type

## ◆ used_iface

unsigned char commsignia_layer::__attribute__::used_iface

## ◆ version

unsigned char commsignia_layer::__attribute__::version

The documentation for this struct was generated from the following file:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/commsignia_layer.hh